Added an option to the interface for creating subsets of whole pipelines which allows control over how named subsets within the pipeline are modified when labels are missing from the new subsetted pipeline. The previous behavior is the new default, that is to drop any named subsets within the pipeline that contain a task label for which there is no task with that label defined. The new option is to to edit each named subset to remove the extra label from the named subset, but otherwise leaving it in the new subsetted pipeline. The interface has been modified in `Pipeline` and also the lower level `PipelineIR`, though the latter should rarely be used directly. The new argument is implemented as an enum option, and can be most easily accessed from the `Pipeline` class as `Pipeline.PipelineSubsetCtrl.(DROP/EDIT)`.
This interface is available through yaml pipeline specification by specifying the labeledSubsetModifyMode key when writing yaml import defectives.

New python interfaces were added for manipulating labeled subsets in a pipeline. These include; `Pipeline.subsets` which is a property returning a dict of subset labels to sets of task labels, `Pipeline.addLabeledSubset` to add a new labeled subset to a `Pipeline`, and `Pipeline.removeLabeledSubset` to remove a labeled subset from a pipeline.
