Add `CachingLimitedButler` as a new type of LimitedButler.

A `CachingLimitedButler` caches on both `.put()` and `.get()`, and holds a
single instance of the most recently used dataset type for that put/get.

The dataset types which will be cached on put/get are controlled via the
`cache_on_put` and `cache_on_get` attributes, respectively.

By default, copies of the cached items are returned on `get`, so that code is
free to operate on data in-place. A `no_copy_on_cache` attribute also exists to
tell the `CachingLimitedButler` not to return copies when it is known that the
calling code can be trusted not to change values, e.g. when passing calibs to
`isrTask`.
